#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	String
%define		pnam	RexxParse
%include	/usr/lib/rpm/macros.perl
Summary:	String::RexxParse - Perl implementation of REXX parse command
Summary(pl.UTF-8):	String::RexxParse - implementacja perlowa polecenia analizującego REXX
Name:		perl-String-RexxParse
Version:	1.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e46a78a8f805086884e23965ef754c2b
URL:		http://search.cpan.org/dist/String-RexxParse/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Some long-time REXX programmers switching to Perl find it difficult to
give up REXX's template-based parsing abilities. This module is my
attempt to provide such parsing in Perl. Consider it BETA level code.
The documentation assumes a familiarity with REXX parse statements.

%description -l pl.UTF-8
Niektórzy doświadczeni programiści REXX-a przerzucający się na Perla
uznali za trudne porzucenie REXX-owych możliwości analizy opartej na
wzorcach. Ten moduł jest próbą udostępnienia takiej analizy w Perlu.
Kod jest na etapie BETA. Dokumentacja zakłada znajomość wyrażeń
analizujących REXX-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*
%changelog
* Tue Nov 20 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-String-RexxParse.git;a=log;h=master

* Tue Nov 20 2018 Adam Gołębiowski <adamg@pld-linux.org> 424cc4e
- updated to 1.10

* Wed Nov 26 2014 Elan Ruusamäe <glen@delfi.ee> 6a1f1b8
- use generic url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a38888
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> aba8dc9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 943553f
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7593d17
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 2087412
- fixed perl-devel BR

* Sat May 01 2004 ankry <ankry@pld-linux.org> 2eacdfc
- license fixed, cosmetics

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> e4d0516
- new bconds

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 3f49063
- cosmetics, unification

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> bdd93a3
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> bf4c204
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> daf76db
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> fbde728
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 79e3425
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 22f9e64
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 19a184d
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> de22a1f
- massive attack: change CPAN URLs

* Tue Aug 27 2002 Jakub Bogusz <qboosh@pld-linux.org> 644129b
- pl description, release 2

* Fri Aug 09 2002 radek <radek@pld-linux.org> 191c264
- new, STBR

